i2p.susi.webmail

## Class Mail

- java.lang.Object
- - i2p.susi.webmail.Mail

    public class Mail
    extends Object

data structure to hold a single message, mostly used with folder view and sorting

Author:
  susi

### Field Summary

Fields
`ReadBuffer` `body`
`(package private) Object[]` `cc`
`Date` `date`
`static String` `DATEFORMAT`
`String` `dateString`
`boolean` `deleted`
`String` `error`
`String` `formattedDate`
`String` `formattedSender`
`String` `formattedSubject`
`ReadBuffer` `header`
`int` `id`
`boolean` `markForDeletion`
`MailPart` `part`
`String` `quotedDate`
`String` `reply`
`String` `sender`
`String` `shortSender`
`String` `shortSubject`
`int` `size`
`String` `subject`
`(package private) Object[]` `to`
`String` `uidl`
`static String` `unknown`

### Constructor Summary

Constructors
Constructor and Description
`Mail()`

### Method Summary

Methods
`static void` `appendRecipients(StringBuilder buf, ArrayList recipients, String prefix)`
`static String` `getAddress(String address)`
`static boolean` `getRecipientsFromList(ArrayList recipients, String text, boolean ok)`
`void` `parseHeaders()`
`static boolean` `validateAddress(String address)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DATEFORMAT

    public static final String DATEFORMAT

See Also:
  Constant Field Values

#### unknown

    public static final String unknown

See Also:
  Constant Field Values

#### id

    public int id

#### size

    public int size

#### sender

    public String sender

#### reply

    public String reply

#### subject

    public String subject

#### dateString

    public String dateString

#### formattedSender

    public String formattedSender

#### formattedSubject

    public String formattedSubject

#### formattedDate

    public String formattedDate

#### shortSender

    public String shortSender

#### shortSubject

    public String shortSubject

#### quotedDate

    public String quotedDate

#### uidl

    public String uidl

#### date

    public Date date

#### header

    public ReadBuffer header

#### body

    public ReadBuffer body

#### part

    public MailPart part

#### to

    Object[] to

#### cc

    Object[] cc

#### error

    public String error

#### markForDeletion

    public boolean markForDeletion

#### deleted

    public boolean deleted

### Constructor Detail

#### Mail

    public Mail()

### Method Detail

#### validateAddress

    public static boolean validateAddress(String address)

Parameters:
  `address` - E-mail address to be validated
Returns:
  Is the e-mail address valid?

#### getAddress

    public static String getAddress(String address)

Parameters:
  `address` -

#### getRecipientsFromList

    public static boolean getRecipientsFromList(ArrayList recipients,
                                String text,
                                boolean ok)

#### appendRecipients

    public static void appendRecipients(StringBuilder buf,
                        ArrayList recipients,
                        String prefix)

#### parseHeaders

    public void parseHeaders()